declare type Data = {
    [key: string]: any;
};
declare type UseModel = () => Data;
declare type Reducer = (payload: Data) => Data;
declare type GetData = (useModel?: UseModel) => Data;
declare type SetData = (payload: Data | Reducer) => void;
declare type Model = ({ get, set }: {
    get: GetData;
    set: SetData;
}) => Data;
declare type Create = (model: Model) => UseModel;
declare const create: Create;

export { create as default };
